## linuxmuster-client-sudoers 0.1.1-1

=== Makefile ===
#!/usr/bin/make
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=

SHARE=$(DESTDIR)/usr/share/linuxmuster-client-sudoers


help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '


default: 
	@echo 'Doing Nothing'


install:
	@echo '   * Installing ...'
	@install -d -m0755 -oroot -groot $(SHARE)
	@install -oroot -groot --mode=0644 sudoers.d/10-linuxmuster-client-teachers-all $(SHARE)

deb:
	### deb
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git. Have you done a dch -i?'
	@echo ''


clean:
	rm -rf  debian/linuxmuster-client-sudoers

=== debian/changelog ===
linuxmuster-client-sudoers (0.1.1-1) trusty; urgency=medium

  * avoid error when purging pachage

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 12 Dec 2014 14:53:27 +0100

linuxmuster-client-sudoers (0.1.0-1) trusty; urgency=medium

  * new upstream Release

 -- Ruediger Beck <bz@j1009p21.bszleo.de>  Thu, 11 Dec 2014 19:12:59 +0100

=== debian/control ===
Source: linuxmuster-client-sudoers
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: linuxmuster-client-sudoers
Architecture: all
Suggests: 
Depends: 
Description: sudoers.d files for the Linuxmuster-Client
 The package overwrites a sudoers.d file

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package 
	# into debian/linuxmuster-client-sudoers
	$(MAKE) -B install DESTDIR=$(CURDIR)/debian/linuxmuster-client-sudoers

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_undocumented
	dh_install --sourcedir=debian/linuxmuster-client-sudoers
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## linuxmuster-client-sudoers 0.1.1-4

=== debian/changelog ===
linuxmuster-client-sudoers (0.1.1-4) xenial; urgency=medium

  * First stable release for xenial xerus

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Thu, 25 Feb 2016 07:03:27 +0100
 

linuxmuster-client-sudoers (0.1.1-3) xenial-testing; urgency=medium

  * Removed admin and pgadmin; already installed by linuxmuster-client-auth Package

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Thu, 25 Feb 2016 07:03:27 +0100
 

linuxmuster-client-sudoers (0.1.1-2) xenial-testing; urgency=medium

  * First release for Ubuntu 16.04 xenial xerus

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Thu, 09 Feb 2016 11:35:27 +0100
 
